This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 1249 - Protect __builtin_prefetch
Summary: Protect __builtin_prefetch
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Core - vectorization (show other bugs)
Version: 3.3 (current stable)
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-01 11:48 UTC by Marc Glisse
Modified: 2019-12-04 15:57 UTC (History)
4 users (show)



Attachments

Description Marc Glisse 2016-07-01 11:48:11 UTC
Hello,

Eigen/src/Core/GenericPacketMath.h currently calls __builtin_prefetch with !EIGEN_COMP_MSVC as the only check. This fails for instance with Oracle's compiler, which doesn't seem to know this builtin. Maybe a slightly more restrictive test would help?
Comment 1 Gael Guennebaud 2016-07-25 13:18:29 UTC
I've enabled it for gcc, icc, and clang only.
devel: https://bitbucket.org/eigen/eigen/commits/68ddbdbf359e/
3.2:   https://bitbucket.org/eigen/eigen/commits/4cafb84ba074/
Comment 2 Nobody 2019-12-04 15:57:47 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1249.

Note You need to log in before you can comment on or make changes to this bug.